<?php
	session_start();

	require_once("./model/gestion_model.php");
	require_once("./model/gestion_model2.php");

	date_default_timezone_set("America/Lima");

	$ges = new gestion_model();
	$ges2 = new gestion_model2();

	$id = $_GET['tecnico'];

	$productos = $ges->get_productos_tecnico($id);
	$series = $ges->get_series($id);

	$codigo_tecnico = $ges->get_codigo_tecnico2($id);
	$tecnico = $ges2->get_trabajador($codigo_tecnico['codigo_usuario']);

	// SESIÓN INICIADA

	if(isset($_SESSION['id_usuario_almacen'])){

		require_once("./view/liquidacion_cliente_tecnico.phtml");
		
	}

	if(isset($_POST['LIQUIDAR'])){


		$i = 0;
		$z = 0;

		if($_SESSION['id_perfil_almacen'] == 4){


			$codigo = date('YmdHis');
			$plantilla = $ges->set_plantilla_liquidacion($codigo,$_POST['codigo'],$_POST['orden'],$_POST['fl']);

			foreach ($_POST['sku'] as $val){

				if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
					$serie = '0';
					$cantidad = intval($_POST['cantidad'][$i]);
				}else{
					$serie = $_POST['serie'][$i];
					$cantidad = intval($_POST['cantidad'][$i]);
				}
	
				if(intval($_POST['devolver'][$i]) == '' || empty(intval($_POST['devolver'][$i])) || intval($_POST['devolver'][$i]) == 0 ){
					
				}else{
					if(intval($_POST['devolver'][$i]) > 0){
						//$resultado_final = $ges->update_stock_tecnico_l3(intval($_POST['devolver'][$i]),$_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$_POST['codigo'],$_POST['orden']);
						$res = $ges->set_detalle_plantilla_liquidacion($_POST['sku'][$i],$_POST['tecnico'][$i],$serie,intval($_POST['devolver'][$i]),$plantilla['id_plantilla_liquidacion'],$_POST['codigo'],$_POST['orden']);
						$z++;
					}
				}
	
				$i = $i + 1; 
	
			}

			if($z == 0){

				$res = $ges->update_plantilla_liquidacion(0,$plantilla['id_plantilla_liquidacion']);
				echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="liquidacion_cliente_tecnico.php?tecnico='.$id.'";</script>';

			}else{

				echo'<script type="text/javascript">alert("SE REGISTRO LA SOLICITUD CORRECTAMENTE");window.location.href="index.php";</script>';

			}
			
			


		}else{

			foreach ($_POST['sku'] as $val){

				if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
					$serie = '0';
					$cantidad = intval($_POST['cantidad'][$i]);
				}else{
					$serie = $_POST['serie'][$i];
					$cantidad = intval($_POST['cantidad'][$i]);
				}
	
				if(intval($_POST['devolver'][$i]) == '' || empty(intval($_POST['devolver'][$i])) || intval($_POST['devolver'][$i]) == 0 ){
					
				}else{
					if(intval($_POST['devolver'][$i]) > 0){
						$resultado_final = $ges->update_stock_tecnico_l(intval($_POST['devolver'][$i]),$_POST['sku'][$i],$_POST['tecnico'][$i],$serie,$cantidad,5,$_POST['codigo'],$_POST['orden']);
						$z++;
					}
				}
	
				$i = $i + 1; 
	
			}

			if($z == 0){

				echo'<script type="text/javascript">alert("NO HAS SELECCIONADO NINGUN PRODUCTO");window.location.href="liquidacion_cliente_tecnico.php?tecnico='.$id.'";</script>';

			}else{

				echo'<script type="text/javascript">alert("SE LIQUIDÓ CORRECTAMENTE");window.location.href="liquidacion_cliente_tecnico.php?tecnico='.$id.'";</script>';

			}
			
			

		}
		
	}


?>